Subject: bug#66970: 29.1; Overwrite-mode is not working with Korean characters

From: SUKBEOM KIM <[email-masked]>
Date: Tue, 7 Nov 2023 08:19:53 +0900

Yes, it is the problem only with typing via an input method.
I checked that there is no issue if I type Korean characters with iBus 
(I guess this is the 'LEIM' what you mentioned).

>> Date: Tue, 7 Nov 2023 01:37:43 +0900
>> From: SUKBEOM KIM <[email-masked]>
>>
>> I forgot to provide the test sequence to reproduce the issue:
>>
>> 1 type 'aeiou' and <C-a>
>>
>> 2 <M-x> set-input-method and set to korean-hangul (2-beoksik)
>>
>> 3 <M-x> overwrite-mode.
>>    Replace 'ae' to '아' and 'oi' to '에'. You can type them with typing 'dk', 'dp'.
>>
>> 4 I expected '아에u', but the actual result is '아에aeiou'.
>>   Replacing Korean characters with alphabets is working but not vice versa.
> What happens if you type the Korean characters using a Korean
> keyboard, not via a Leim input method?  Does it also not work?  Or is
> the problem only with typing via an input method?